"""Create todos table

Revision ID: e6d3d15b6c3c
Revises:
Create Date: 2023-08-01 12:00:00.000000

"""
import sqlalchemy as sa
from alembic import op

# revision identifiers, used by Alembic.
revision = 'e6d3d15b6c3c'
down_revision = None
branch_labels = None
depends_on = None


def upgrade():
    op.create_table(
        'todos',
        sa.Column('id', sa.Integer(), nullable=False),
        sa.Column('title', sa.String(length=255), nullable=False),
        sa.Column('description', sa.Text(), nullable=True),
        sa.Column('completed', sa.Boolean(), default=False),
        sa.Column('created_at', sa.DateTime(), default=sa.func.current_timestamp()),
        sa.Column(
            'updated_at',
            sa.DateTime(),
            default=sa.func.current_timestamp(),
            onupdate=sa.func.current_timestamp(),
        ),
        sa.PrimaryKeyConstraint('id')
    )
    op.create_index(op.f('ix_todos_id'), 'todos', ['id'], unique=False)


def downgrade():
    op.drop_index(op.f('ix_todos_id'), table_name='todos')
    op.drop_table('todos')
